package tutorialJava.examenes.examen20250321.controlador;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import tutorialJava.examenes.examen20250321.modelo.Inquilino;


public class ControladorInquilino {

	
	public static Inquilino 
		findByIdVivienda(int idVivienda) {
		
		try {
			Connection conn = ConnectionManager.getConnection();
			
			String sql = "select * from inquilino where "
					+ "idVivienda = ?";
			PreparedStatement ps = conn.prepareStatement(sql);
			ps.setInt(1, idVivienda);
			
			ResultSet rs = ps.executeQuery();
			
			if (rs.next()) {
				Inquilino i = new Inquilino();
				i.setId(rs.getInt("id"));
				i.setDni(rs.getString("dni"));
				i.setNombreCompleto(rs.getString("nombreCompleto"));
				i.setFechaInicioAlquiler(rs.getDate("fechaInicioAlquiler"));
				i.setFechaFinAlquiler(rs.getDate("fechaFinAlquiler"));
				i.setIdVivienda(rs.getInt("idVivienda"));
				i.setIdTipoMorosidad(rs.getInt("idTipoMorosidad"));
				i.setCuotaMensual(rs.getFloat("cuotaMensual"));
				return i;
			}
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
		return null;
	}

	
	/**
	 * 
	 * @param i
	 * @return
	 */
	public static int guardaInquilino (Inquilino i) {
		try {
			Connection conn = ConnectionManager.getConnection();
			String sql = "Update inquilino set dni = ?, "
					+ "nombreCompleto = ?, fechaInicioAlquiler = ?, "
					+ "fechaFinAlquiler = ?, cuotaMensual = ?, "
					+ "idVivienda = ?, idTipoMorosidad = ? "
					+ "where id = ?";
			PreparedStatement ps = conn.prepareStatement(sql);
			ps.setString(1, i.getDni());
			ps.setString(2, i.getNombreCompleto());
			if (i.getFechaInicioAlquiler() != null) {
				ps.setDate(3, new java.sql.Date(i.getFechaInicioAlquiler().getTime()));
			}
			else {
				ps.setDate(3, null);
			}
			if (i.getFechaFinAlquiler() != null) {
				ps.setDate(4, new java.sql.Date(i.getFechaFinAlquiler().getTime()));
			}
			else {
				ps.setDate(4, null);
			}
			ps.setFloat(5, i.getCuotaMensual());
			ps.setInt(6, i.getIdVivienda());
			ps.setInt(7, i.getIdTipoMorosidad());
			ps.setInt(8, i.getId());
			
			return ps.executeUpdate();
		}
		catch (Exception e) {
			e.printStackTrace();
		}
		return 0;
	}
}










